#include "stm32f10x.h"


void main(void);
void RTC_Configuration(void);


void main(void)
{
  RTC_Configuration();
  while(1)
  {}
}

void RTC_Configuration(void)
{
  /* Enable PWR and BKP clocks */
  RCC_APB1PeriphClockCmd(RCC_APB1Periph_PWR | RCC_APB1Periph_BKP, ENABLE);

  /* Allow access to BKP Domain */
  PWR_BackupAccessCmd(ENABLE);

  /* Reset Backup Domain */
  BKP_DeInit();

  //   
  RCC_LSEConfig(RCC_LSE_ON);
  //   
  while (RCC_GetFlagStatus(RCC_FLAG_LSERDY) == RESET)
  {}

  //  !
  //      
  RCC_RTCCLKConfig(RCC_RTCCLKSource_LSE);

  //   
  RCC_RTCCLKCmd(ENABLE);

  //   
  RTC_WaitForSynchro();

  //     
  RTC_WaitForLastTask();

  //  
  RTC_ITConfig(RTC_IT_SEC, ENABLE);

  //     
  RTC_WaitForLastTask();

  //  
  RTC_SetPrescaler(32767); /* RTC period = RTCCLK/RTC_PR = (32.768 KHz)/(32767+1) */

  //     
  RTC_WaitForLastTask();
}